/*
wijit WSocket.cpp: function definitions for the main socket
that interfaces with the jabberoo _session object.
Copyright (C) 1999-2000 Keith Minkler <tsbandit@jabber.org>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You can reach The author at tsbandit@jabber.org (email or jid)
*/
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "wijit.h"
#include "WSocket.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

WSocket::WSocket()
{
	IsCreated=false;
}

WSocket::~WSocket()
{

}

void WSocket::send(const char *data)
{
	Send(data,strlen(data));
}

void WSocket::OnReceive(int nErrorCode)
{
	char *buffer=new char[10000];
	int buffLen=0;
	if(buffLen=Receive(buffer,10000))
	{
		buffer[buffLen]=NULL;
		_session->push(buffer);
	}
	
	delete buffer;
}
